Bug 834271 - [ovirt-engine-core] Can not undo a snapshot for a vm
[ovirt-engine-core] Can not undo a snapshot for a vm
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
unspecified
x86_64 Linux
high Severity unspecified
: ---
: 3.1.0
Assigned To: mkublin
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 07:53 EDT by Kiril Nesenko
Modified: 2016-02-10 11:48 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-12 03:23:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (27.51 KB, application/x-bzip)
2012-06-21 07:53 EDT, Kiril Nesenko
no flags Details

  None (edit)
Description Kiril Nesenko 2012-06-21 07:53:57 EDT
Created attachment 593434 [details]
logs

Description of problem:
Can not 'undo' the snapshot for a vm

2012-06-21 14:50:07,150 INFO  [org.ovirt.engine.core.bll.RestoreAllSnapshotsCommand] (ajp-/0.0.0.0:8009-8) [5b03675] Lock Acquired to object EngineLock [exclusiveLocks= key: e5688583-60a3-4326-a37b-c3bb8d965f5e value: VM
, sharedLocks= ]
2012-06-21 14:50:07,172 WARN  [org.ovirt.engine.core.bll.RestoreAllSnapshotsCommand] (ajp-/0.0.0.0:8009-8) [5b03675] CanDoAction of action RestoreAllSnapshots failed. Reasons:ACTION_TYPE_FAILED_VM_SNAPSHOT_DOES_NOT_EXIST,VAR__ACTION__REVERT_TO,VAR__TYPE__SNAPSHOT
2012-06-21 14:50:07,173 INFO  [org.ovirt.engine.core.bll.RestoreAllSnapshotsCommand] (ajp-/0.0.0.0:8009-8) [5b03675] Lock freed to object EngineLock [exclusiveLocks= key: e5688583-60a3-4326-a37b-c3bb8d965f5e value: VM
, sharedLocks= ]


Version-Release number of selected component (if applicable):
1e1966cfd65cc2008fd2317ef127e3c09fc40d16

How reproducible:


Steps to Reproduce:
1. Create a snapshot and preview it
2. Try to undo the snapshot
3.
  
Actual results:


Expected results:


Additional info:
tested on nfs storage
Comment 1 Kiril Nesenko 2012-07-12 03:23:52 EDT
Can not reproduce it on si10.
Closing

Note You need to log in before you can comment on or make changes to this bug.